<!DOCTYPE html>
<html lang="en">
<head>
	<title>Bateria Api</title>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" />
	<link href="css/bootstrap.min.css" rel="stylesheet" />
	<link href="css/bootswatch.superhero.css" rel="stylesheet" />
	<link href="css/my.theme.css" rel="stylesheet" />
</head>
<body class="my">
	<div class="container">
		<div class="page-header">
			<div class="row">
				<div class="col-lg-8 col-md-7 col-sm-6">
					<h1>Batteria Api</h1>
					<p class="lead"></p>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-1 text-center">
				<i class="fa fa-battery-0" data-target="battery-icon" aria-hidden="true"></i>
			</div>
			<div class="col-md-11">
				<div class="progress">
					<div class="progress-bar progress-bar-success" data-target="progress-bar" style="width: 40%"></div>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
	<script type="text/javascript" src="js/battery.js"></script>
	<script type="text/javascript">
		$(document).ready(function onDocumentReady() {
			var battery = new HTML5Battery();
			var $progressBar = $('[data-target="progress-bar"]');
			var $batteryIcon = $('[data-target="battery-icon"]');
			var BATTERY_CLASS = [
				'fa-battery-0',
				'fa-battery-1',
				'fa-battery-2',
				'fa-battery-3',
				'fa-battery-4'
			];
			var PROGRESS_COLOR = [
				'',
				'progress-bar-danger',
				'progress-bar-warning',
				'progress-bar-success',
				'progress-bar-info'
			];
			var ALL_CLASS = BATTERY_CLASS.join(' ');
			var ALL_PROGRESS_CLASS = PROGRESS_COLOR.join(' ');
			window.battery = battery;
			battery.startTracking(onBatteryTracked);

			function onBatteryTracked(err) {
				if (err) {
					return;
				}
				battery.onLevelChange(updateStatus);
			}

			function getSimpleLevel(batteryManager) {
				var level = batteryManager.level;
				if (level > 0.90) {
					return (4);
				}
				else if (level >= 0.7) {
					return (3);
				}
				else if (level >= 0.4) {
					return (2);
				}
				else if (level >= 0.15) {
					return (1);
				} else {
					return (0);
				}
			}

			function updateIcon(level) {
				$batteryIcon
					.removeClass(ALL_CLASS)
					.addClass(BATTERY_CLASS[level]);
			}

			function updateStatus(err, batteryManager) {
				var widthSize = (batteryManager.level * 100) + '%';
				var level = getSimpleLevel(batteryManager);
				$progressBar
					.css('width', widthSize)
					.removeClass(ALL_PROGRESS_CLASS)
					.addClass(PROGRESS_COLOR[level]);
				var $parent = $progressBar.parent();
				if (batteryManager.charging === true) {
					$parent.addClass('progress-striped active');
				}
				$parent.removeClass('progress-striped active');
				updateIcon(level);
			}
		});
	</script>
</body>
</html>